test:gcc10-seq-release:
  image: localhost:5000/ubuntu_gcc10
  stage: test
  needs: []
  script:
    - mkdir -p build/gcc10-release-seq
    - cd build/gcc10-release-seq
    - CXX=g++-10 CC=gcc-10 cmake ../.. -DCMAKE_BUILD_TYPE=Release
    - make
    - make check
  cache:
    key: "${CI_COMMIT_REF_SLUG}-gcc10-release-seq"
    paths:
      - build/gcc10-release-seq
    untracked: true
